04/28/97 08:36:56 AM

initializeAllLowerCase
    "Private - initialize allLowerCase inst var.
    Patched by Ale because #charLower: fails in Windows 3.1.
    "
    [ #modifiedByOStyle.
    allLowerCase := String new: 255.
    1 to: 255 do: [ :cp |
        allLowerCase at: cp put: ( UserLibrary charLower: cp ) asCharacter ].
    ] on: Error do: [
        allLowerCase := OSNationalLanguageSupportPatch allLowerCase.
    ].
    ^allLowerCase!  
handle
        "Private - Answer the handle."
    "LRP patched 18/JAN/94 When used by purgeUnuseBitmpas with
     a lot of instances is not convenient to have all the bitmaps as GDI objects until used."
    #modifiedByOStyle.
    "
    self validate.
    "
    ^bitmapHandle!   
allUpperCase
    "Returns the patched AllUpperCase..."

    AllUpperCase isNil ifTrue: [ self initializeAllUpperCase ].
    ^AllUpperCase!
initializeAll
    " Private - Initialize AllCase characters.
	This must be done in Windows'95 or NT because in Win3.1 fails...
    OSNationalLanguageSupportPatch initializeAll
    "

    self
		initializeAllLowerCase;
		initializeAllUpperCase!   
allLowerCase
    "Returns the patched AllLowerCase..."

    AllLowerCase isNil ifTrue: [ self initializeAllLowerCase ].
    ^AllLowerCase!
initializeAllLowerCase
    " Private - Initialize AllLowerCase This must be done
    in Windows'95 or NT because in Win3.1 fails...
    OSNationalLanguageSupportPatch initializeAllLowerCase.
    "

    AllLowerCase := String new: 255.
    1 to: 255 do: [:i|
        [ AllLowerCase at: i put: (UserLibrary charLower: i) asCharacter ]
        on: Error do: [ AllLowerCase at: i put: i asCharacter ].
    ].
    ^AllLowerCase!
initializeAllUpperCase
    " Private - Initialize AllUpperCase This must be done
    in Windows'95 or NT because in Win3.1 fails...
    OSNationalLanguageSupportPatch initializeAllUpperCase.
    "

    AllUpperCase := String new: 255.
    1 to: 255 do: [:i|
        [ AllUpperCase at: i put: (UserLibrary charUpper: i) asCharacter ]
        on: Error do: [ AllUpperCase at: i put: i asCharacter ].
    ].
    ^AllUpperCase!
fromModule: aString id: anInteger
        "Answer a CursorManager object, loaded from the DLL
         named aString, with the given resource id anInteger.
    Patch: Send #asParameter to anInteger cursor id."

    | dll int handle |
    aString notNil ifTrue: [ dll := DynamicLinkLibrary open: aString ].

    #modifiedByOStyle.
    ( int := UserLibrary loadCursor: dll name: anInteger asParameter) = 0
        ifTrue: [ ^self osError ].
    dll notNil ifTrue: [ dll close ].
    handle := ExternalHandle fromInteger: int.
    ^self new handle: handle!
asArray
    "Answer an Array containing all the elements of the receiver.
    Patched because must return an Array..."

    | answer index |
    #addedByOStyle.
    answer := Array new: self size.
    index := 1.
    self do: [ :element |
        answer at: index put: element.
        index := index + 1].
    ^answer!
initializeAllUpperCase
    "Private - initialize allUpperCase inst var.
    Patched by Ale because #charLower: fails in Windows 3.1.
    "
    [ #modifiedByOStyle.
    allUpperCase := String new: 255.
    1 to: 255 do: [ :cp |
        allUpperCase at: cp put: ( UserLibrary charUpper: cp ) asCharacter ].
    ] on: Error do: [
        allUpperCase := OSNationalLanguageSupportPatch allUpperCase.
    ].
    ^allUpperCase!